# copyright: Huynh Duong Phuong Vi
# www.sketchupforyou.com
module S4U
	module S4u_Select
		require 'sketchup.rb'
		require 'extensions.rb'
		require 'langhandler.rb'
		NAME="s4u_select"
		Strings = LanguageHandler.new( NAME + ".strings")
		TOOL=Strings["Select"]
		IS_WIN = (Sketchup.platform == :platform_win)
		IS_OSX = (Sketchup.platform == :platform_osx)
		@ext = SketchupExtension.new(("s4u-" + TOOL),File.join(NAME,(NAME + "_loader")))
		@ext.copyright= 'Huynh Duong Phuong Vi'
		@ext.creator =  'Suforyou'
		@ext.version = '4.1.1'
		@ext.description = Strings["Select vertical edges,horizontal edges,length edges or slope edges.Select vertical faces,horizontal faces,slope faces or area faces.Select same length,select same area ,select face parallel or step faces."]
		Sketchup.register_extension @ext, true
	end
end

